# gdcm::File Class Reference

a DICOM File See PS 3.10 File: A File is an ordered string of zero or more bytes, where the first byte is at the beginning of the file and the last byte at the end of the File. Files are identified by a unique File ID and may by written, read and/or deleted. More...

`#include <gdcmFile.h>`

Inheritance diagram for gdcm::File:
[legend]
Collaboration diagram for gdcm::File:
[legend]

List of all members.

## Public Member Functions

| File ()
| ~File ()
const DataSet & | GetDataSet () const
| Get Data Set.
DataSet & | GetDataSet ()
| Get Data Set.
const FileMetaInformation & | GetHeader () const
| Get File Meta Information.
FileMetaInformation & | GetHeader ()
| Get File Meta Information.
std::istream & | Read (std::istream &is)
| Read.
void | SetDataSet (const DataSet &ds)
| Set Data Set.
void | SetHeader (const FileMetaInformation &fmi)
| Set File Meta Information.
std::ostream const & | Write (std::ostream &os) const
| Write.

## Friends

std::ostream & | operator<< (std::ostream &os, const File &val)

## Detailed Description

a DICOM File See PS 3.10 File: A File is an ordered string of zero or more bytes, where the first byte is at the beginning of the file and the last byte at the end of the File. Files are identified by a unique File ID and may by written, read and/or deleted.

See also:
  Reader Writer

Examples:

  ChangeSequenceUltrasound.cxx, ClinicalTrialAnnotate.cxx, CompressImage.cxx, DiffFile.cxx, DuplicatePCDE.cxx, EncapsulateFileInRawData.cxx, ExtractEncryptedContent.cxx, FixBrokenJ2K.cxx, GenAllVR.cxx, GenFakeIdentifyFile.cxx, GenFakeImage.cxx, GenLongSeqs.cxx, GenSeqs.cxx, GetJPEGSamplePrecision.cxx, GetSequenceUltrasound.cxx, GetSubSequenceData.cxx, HelloVizWorld.cxx, HelloWorld.cxx, LargeVRDSExplicit.cxx, PatchFile.cxx, ReadAndDumpDICOMDIR.cxx, ReadAndPrintAttributes.cxx, and ReadGEMSSDO.cxx.

## Constructor & Destructor Documentation

gdcm::File::File | ( |  | ) | `[inline]`

gdcm::File::~File | ( |  | ) | `[inline]`

## Member Function Documentation

const DataSet& gdcm::File::GetDataSet | ( |  | ) | const`[inline]`

Get Data Set.

Examples:
  ChangeSequenceUltrasound.cxx, ClinicalTrialAnnotate.cxx, CompressImage.cxx, DiffFile.cxx, DuplicatePCDE.cxx, EncapsulateFileInRawData.cxx, ExtractEncryptedContent.cxx, FixBrokenJ2K.cxx, GenAllVR.cxx, GenFakeIdentifyFile.cxx, GenLongSeqs.cxx, GenSeqs.cxx, GetJPEGSamplePrecision.cxx, GetSequenceUltrasound.cxx, HelloWorld.cxx, LargeVRDSExplicit.cxx, PatchFile.cxx, ReadAndDumpDICOMDIR.cxx, ReadAndPrintAttributes.cxx, ReadExplicitLengthSQIVR.cxx, and ReadGEMSSDO.cxx.

DataSet& gdcm::File::GetDataSet | ( |  | ) | `[inline]`

Get Data Set.

FileMetaInformation& gdcm::File::GetHeader | ( |  | ) | `[inline]`

Get File Meta Information.

const FileMetaInformation& gdcm::File::GetHeader | ( |  | ) | const`[inline]`

Get File Meta Information.

Examples:
  EncapsulateFileInRawData.cxx, GenAllVR.cxx, GenFakeIdentifyFile.cxx, GetJPEGSamplePrecision.cxx, LargeVRDSExplicit.cxx, and ReadAndDumpDICOMDIR.cxx.

Referenced by gdcm::operator<<().

std::istream& gdcm::File::Read | ( | std::istream & | is | ) |

Read.

void gdcm::File::SetDataSet | ( | const DataSet & | ds | ) | `[inline]`

Set Data Set.

void gdcm::File::SetHeader | ( | const FileMetaInformation & | fmi | ) | `[inline]`

Set File Meta Information.

std::ostream const& gdcm::File::Write | ( | std::ostream & | os | ) | const

Write.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const File & | val
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmFile.h